org.mariadb.jdbc.internal.packet.result

## Class ErrorPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.AbstractResultPacket
  - - org.mariadb.jdbc.internal.packet.result.ErrorPacket

    public class ErrorPacket
    extends AbstractResultPacket

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

`AbstractResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`ErrorPacket(ByteBuffer byteBuffer)` Reading error stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getErrorNumber()`
`String` `getMessage()`
`byte` `getPacketSeq()`
`AbstractResultPacket.ResultType` `getResultType()`
`String` `getSqlState()`
`byte` `getSqlStateMarker()`

### Methods inherited from class org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

`getLengthEncodedBinary, read24bitword`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPacket

    public ErrorPacket(ByteBuffer byteBuffer)

Reading error stream.

Parameters:
  `byteBuffer` - current stream byteBuffer

### Method Detail

#### getMessage

    public String getMessage()

#### getResultType

    public AbstractResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `AbstractResultPacket`

#### getPacketSeq

    public byte getPacketSeq()

#### getErrorNumber

    public short getErrorNumber()

#### getSqlState

    public String getSqlState()

#### getSqlStateMarker

    public byte getSqlStateMarker()